Package org.apache.groovy.internal.metaclass

# Class MetaClassConstant<T>

java.lang.Object
org.apache.groovy.internal.metaclass.MetaClassConstant<T>

@Incubating public final class MetaClassConstant<T> extends Object
The one and only implementation of a metaclass. INTERNAL USE ONLY.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaClassConstant(Class<T> clazz)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetaMethod`
  `getMethod(String name, Class[] parameters)`
  `SwitchPoint`
  `getSwitchPoint()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetaClassConstant

    public MetaClassConstant(Class<T> clazz)

- ## Method Details

  - ### getSwitchPoint

    public SwitchPoint getSwitchPoint()

  - ### getMethod

    public MetaMethod getMethod(String name, Class[] parameters)